{
  "files": [],
  "references": [
    {
      "path": "./tsconfig.node.json"
    },
    {
      "path": "./tsconfig.app.json"
    }
  ],
  "compilerOptions": {
    "strict": true,
    "alwaysStrict": true,
    "strictFunctionTypes": true,
    "target": "esnext",
    "declaration": true,
    "useDefineForClassFields": true,
    "module": "esnext",
    "moduleResolution": "Node",
    "jsx": "preserve",
    "jsxImportSource": "vue",
    "allowJs": true,
    "resolveJsonModule": true,
    "isolatedModules": true,
    "esModuleInterop": true,
    "lib": ["esnext", "DOM"],
    "skipLibCheck": true,
    "noEmit": false,
    "types": [
      "node",
      "vite/client",
      "element-plus/global"
    ],
    "baseUrl": "./", // 解析非相对模块的基地址，默认是当前目录
    "paths": { //路径映射，相对于baseUrl
      "@/*": ["src/*"]
    },
    "allowSyntheticDefaultImports": true // 允许默认导入
  },
  "include": [
    "src/**/*.ts",
    "src/**/*.d.ts",
    "src/**/*.tsx",
    "src/**/*.vue",
    "build/**/*.ts",
    "build/**/*.d.ts",
    "vite.config.ts"
  ],
  "exclude": ["node_modules", "dist", "**/*.js"]
}
